;*****************************************************************
;** This is the catalog constructor for CLICon 3.04		**
;**								**
;** Since I do not own the CBM localizer tool, you MUST use my	**
;** private "CreateCatalog" program (same as for ViNCEd)	**
;**								**
;*****************************************************************
;
;This script has a double function:
;It is first a shell script that must be executed to create the
;catalog.
;It contains secondly the localized versions of the benchtrash
;strings. This is possible due to the special syntax of the
;CreateCatalog tool.
;
;The only thing worth noting here is that all strings must be
;preceeded with an apostrophe (').
;Empty lines, lines starting with a blank or a semicolon
;character are comment-lines. They aren't seen by CreateCatalog.
;
;To create a catalog for your language, translate the strings below.
;They are currently taken from the german localization, but to
;give you some hint what they mean I added the original english
;strings plus some comments when they are displayed ON TOP of the
;german ones.
;
;If you wrote a catalog for CLICon, please compile it simply by
;EXECUTING this file, i.e. enter
;
;EXECUTE CLICon.cc
;
;The ready for use catalog will be appear in the ram disk.
;
;
;Greetings,
;	Thomas
 CreateCatalog CLICon_PT.cc ram:CLICon.catalog portugus 3 4
;			  		        ^^^^^^^
;					Insert your language here!
;
 quit
;
;
;---------------------------------------------------------------------------
;The catalog starts here...
;---------------------------------------------------------------------------
;
;CLICon requests error :
;The header string of a CLICon failure requester
'Erro do CLICon :

;
;"DOS failure "
;A generic fail message if no other string is available. The error
;number is inserted AFTER this text. The double quotes ARE needed to
;enclose the space at the end of the text.
'"Falha do DOS "


;No CLICon icon selected !
;CLICon was started without a CLICon project icon select.
'O cone do CLICon no foi seleccionado!


;Can't load icons !
;The disk objects of the icons involved can't be loaded. GetDiskObject
;failed.
'No foi possvel carregar os cones!


;Only one CLIcon icon allowed !
;The user selected more than one CLICon project icon. CLICon does not
;know which one to execute.
'S pode ser usado um s cone para o CLICon!


;No CLIcon - set FILETYPE !
;No CLICon icon was found. Another project icon set CLICon as default tool
;without setting the file type correctly. The tooltype
;FILETYPE=CLICON
;MUST be present since CLICon identifies its script by this tool type.
'No foi encontrado um cone para o CLICon\nDefina o parmetro FILETYPE!

;Invalid lock descriptor !
;A lock descriptor was invalid. (),<>,[], are legal, as well as OWN,
;FOREIGN,USED,... see the guide.
'H um lock descriptor invlido!

;No valid lock found !
;None of the possible lock descriptors can be expanded. (FOREIGN) for 
;example will result in this error if no other icon was select.
'No foi encontrado um lock vlido!


;Can't open window !
;The path for the window did not open, i.e. the WINDOW tooltype was some-
;what invalid.
'No foi possvel abrir a janela!


;Can't find requested device !
;The lock can't be converted to the device name of the underlying device.
;Happens if <> did not work.
'No foi possvel encontrar o dispositivo pedido!


;Can't create CD path !
;CLICon failed to create the path to CD to when executing the script.
'No foi possvel criar o caminho do comando CD!


;Illegal \\ sequence !
;A backslash sequence was invalid, i.e. terminated illegally.
;The double backslash is escaped into a single backslash.
'H uma sequncia "\\" ilegal!


;Illegal bracket sequence !
;A bracket sequence was illegally terminated. An opened bracket was not
;closed before the string ended.
'H uma sequncia de parntises ilegal!


;Can't create bracket path !
;A bracket sequence can't be expanded into the full path.
'No foi possvel criar o caminho para os parntises!


;Out of memory !
;Memory allocation failed.
'No h memria suficiente!


;Invalid number !
;A tooltype requesting a number got an invalid argument.
'H um nmero invlido!


;Can't write temp-file !
;The temporary file for the EXECUTE command can't be created.
'No foi possvel criar um ficheiro temporrio!


;Unable to lock temp-dir !
;CLICon can't lock T: even though it was found. Strange.
'No foi possvel usar o directrio temporrio!


;Unable to find temp-dir !
;The T: directory wasn't available nor could be created.
'O directrio temporrio no foi encontrado!



;Actually, you don't need to localize the following, since icon is always present in 37 and up...
;Need icon.library !
;Icon library missing. Won't happen, since IF locale support is present,
;icon.library is in ROM.
' indispensvel ter a icon.library!


;Can't execute CLICon script !
;The Execute() function returned an error.
'No foi possvel executar o script do CLICon!


;Command tooltype illegal !
;The COMMAND TOOLTYPE is neither BATCH nor INFO.
'O Tipo para a Ferramenta COMMAND  ilegal!


;Can't open batch file !
;The batch file containing the CLICon script can't be opened.
;Does occure if COMMAND=BATCH and the batch file is missing, for example.
'No foi possvel abrir o ficheiro batch!


;Invalid boolean tooltype !
;A boolean tooltype argument is neither TRUE nor FALSE.
'H uma varivel boleana ilegal num Tipo para a Ferramenta!


;Can't fetch own icon !
;CLICon failed to find the FILETYPE=CLICON icon. This one is no longer
;used and replaced by a similar string above.
'No foi possvel encontrar o cone do CLICon!



;Can't create path list !
;CLICon failed to create the command path lock list needed for creating
;a private CLI structure. 
'No foi possvel criar a lista de caminhos!


;Can't create new CLI !
;CLICon failed to roll its own CLI structure. 
'No foi possvel criar um novo CLI!


;Can't setup CLI prompt !
;CLICon failed to setup the prompt string for the new CLI.
'No foi possvel definir o prompt do CLI!

;Can't setup directory name !
;CLICon failed to setup the directory name in the CLI structure.
'No foi possvel definir o nome do directrio!


;Can't setup directory name !
;CLICon failed to find the name of the current directory for the CLI.
'No foi possvel definir o nome do directrio!


;Lock does not specify a drawer !
;The specified directory for the new CLI belongs not to a drawer, but
;to a file.
'O parmetro LOCK no especificou uma gaveta!


;Workbench process not found !
;CLICon failed to locate the Workbench process. This process is needed
;to find the default path for the CLI.
'No foi possvel encontrar o processo do Workbench!


;" Cancel "
;The contents of the Abort gadget in the failure requester. Note the
;double quotes to enclose the spaces.
'" Cancelar "


;\r\n\c p\c0;31;40mPress \c1;33;40mRETURN\c0;31;40m to continue....
;The string CLICon prints after the work is done, if DELAY=TRUE.
;\r is the CR code, \n is the line feed, \c is the CSI sequence.
'\r\n\c p\c0;31;40mPrima \c1;33;40mRETURN\c0;31;40m para continuar...


;RAW:0/0/640/100/CLICon Message
;The default path for the output window.
'RAW:0/0/640/100/Mensagem do CLICon

;---------------------------  added these to 3.04 -------------------------

;CLICon script failed !
;The message if the V37 SystemTagList() command caused a failure.
;Unlike the pre-V36 Execute() this call does return the return code
;of the executed script, so we change the message!
'O script do CLICon falhou !


;That's all folks
